Un utente ha chiesto informazioni su PWA di Wordpress

Errore dell’operatore del servizio

Un utente ha chiesto 👇

Con la versione del plugin PWA 0.5.0 abilitata, vedo l’errore di seguito sulla console in Google Chrome:

TypeError Not Detected (due): Service worker non è riuscito a registrarsi per l’ambito (‘https://staging.breathinginchrist.com/ ‘😉 le script (‘https://staging.breathinginchrist.com/?wp_service_worker=1 ‘;): Valutazione dello script ServiceWorker non riuscita

Se disattivo questo plugin, l’errore scompare. Come si puo aggiustare?

Grazie!

Autore del plugin

(@westonruter)

8 mesi fa

Humm, sì, non è un messaggio molto utile.

Tuttavia, posso vedere un problema con lo script del lavoratore dell’assistenza che potrebbe causare il problema.

E tu guardi https://www.breathinginchrist.com/?wp_service_worker=1

Nota come alcuni sono inaspettati style tag in primo piano:

		<style type="text/css">			.fts-facebook-add-more-posts-notice {
				display: none !important;
			}

			.fts-jal-single-fb-post .fts-jal-fb-user-name {
				color:  !important;
			}

			
		</style>

Ciò sembra essere dovuto al tuo sito in stile di stampa in wp_enqueue_scripts quando dovrebbe usare il file wp_print_styles azione, o anche wp_head.

Anche se dobbiamo renderlo più forte, se risolvi il problema, credo che il tecnico dell’assistenza verrà installato correttamente.

(@ jrthor2)

8 mesi fa

Potrebbe essere dal tema che sto usando? Sto usando Avada, che raggruppa questo plugin con il suo tema.

Grazie!

Autore del plugin

(@westonruter)

8 mesi fa

Il problema sembra essere il plug-in Feed Them Social. Vedo che il plugin utilizza l’estensione wp_enqueue_scripts azione sbagliata. Ho aperto il materiale di supporto sul loro forum per risolvere il problema: https://wordpress.org/support/topic/incorrect-use-of-wp_enqueue_scripts-action/

(@ jrthor2)

8 mesi fa

Wow fantastico. Non sono sicuro di come hai fatto così in fretta, ma grazie mille !!

(@slickremix)

7 mesi, 3 settimane fa

Hey abbraccio! Scusa per il ritardo. Ho preso un accordo per sostituire wp_enqueue_scripts con wp_print_styles. Sostituisci la tua versione di Feed Them Social Questo e vedere se risolve il problema. Fammi sapere e pubblicherò una nuova versione 🙂

Spencer

(@ jrthor2)

7 mesi, 3 settimane fa

Ho installato il Them Social Feed Plugin aggiornato (versione 2.8.3.4), la cache del browser / server è stata cancellata, ma l’errore è nel https://www.breathinginchrist.com.

Grazie,
Jason

(@slickremix)

7 mesi, 3 settimane fa

Bene, spara. Direi che il modo più veloce per aggirare questa domanda è prendere qualsiasi CSS personalizzato che hai creato per il tuo FTS e metterlo da qualche altra parte, magari nelle opzioni CSS personalizzate per il tuo tema … e disabilitare la casella di controllo CSS personalizzato dalla nostra pagina Impostazioni> Anche le opzioni globali. Questo dovrebbe definitivamente rimuovere quell’errore poiché il controllo di quella casella di controllo ha detto al codice di eseguire quell’azione. Forse torna al nostro forum di supporto in modo da non disturbare questo sviluppatore 🙂

(@ jrthor2)

7 mesi, 3 settimane fa

Ho risposto all’altro forum di supporto, non sto utilizzando alcun CSS personalizzato e la casella di controllo non è selezionata.

(@ jrthor2)

7 mesi, 3 settimane fa

Cordiali saluti, l’ultimo aggiornamento del plugin per Feed Them Social sembra aver corretto questo errore della console, non lo vedo più.

Grazie!

(@slickremix)

7 mesi, 3 settimane fa

Questa è la buona notizia. Se hai quest’ultimo e vorresti lasciare una recensione con noi, sarebbe fantastico. Ti auguro una fantastica settimana! https://wordpress.org/support/plugin/feed-them-social/reviews/

Spencer

Was this helpful?

0 / 0

Lascia un commento 0

Your email address will not be published. Required fields are marked *